#
# spec file for package pcmcia (Version 3.0.4)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -linclude lx_suse xforms xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         pcmcia
Release:      4
Copyright:    1994, 1995, 1996 David A. Hinds
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.0.4
Summary:      PCMCIA support for Linux
Source: pcmcia-cs-3.0.4.tar.gz
Source1: cs89x0_cs.tar.gz
Source2: elsa_cs.tar.gz
Source3: iscc_cs-0.41.tar.gz
Source4: mpsuni_cs.tar.gz
Source5: sedl_cs.tar.gz
Source6: sym53c500_cs.tar.gz
Source7: teles_cs1.1.tar.gz
Patch: pcmcia-cs-3.0.4.dif
Patch1: additional-drivers.dif
%description
This package contains the kernel modules for supporting the following
PCMCIA cards:
Ethernet: 
3Com 3c589, 3c589B, 3c589C,
Accton EN2212, EN2216 EtherCard,
Allied Telesis Ethernet,
AST 1082 Ethernet,
CNet CN30BC, CN40BC Ethernet,
Datatrek NetCard,
Digital EtherWORKS Turbo Ethernet,
D-Link DE-650,
Edimax Technology Ethernet Combo,
EFA InfoExpress SPT EFA 205 10baseT,
Eiger Labs EPX-ET10T2 Combo,
EP-210 Ethernet,
Epson Ethernet,
Explorer NE-10000 Ethernet,
Farallon Etherwave,
Genius ME3000II Ethernet,
Grey Cell Ethernet,
GVC NIC-2000P Ethernet Combo,
Hypertec HyperEnet,
IBM CreditCard Ethernet Adapter,
IC-Card Ethernet,
Infotel IN650ct Ethernet,
Katron PE-520 Ethernet,
Kingston KNE-PCM/M,
LANEED Ethernet,
Linksys EtherCard,
Longshine Ethernet,
Maxtech PCN2000 Ethernet,
NDC Instant-Link,
Network General ``Sniffer'',
New Media Ethernet,
Novell/National NE4100 InfoMover,
PreMax PE-200 Ethernet,
Proteon Ethernet,
RPTI EP400 Ethernet,
SCM Ethernet,
Socket Communications Socket EA LAN Adapter,
Thomas-Conrad Ethernet,
Trust Ethernet Combo,
Volktek Ethernet
Modem cards:
All should work.
Memory cards:
New Media SRAM,
Epson 2MB SRAM,
Intel Series 2 and Series 2+ Flash
SCSI adapter:
Qlogic FastSCSI,
New Media Bus Toaster SCSI,
Adaptec APA-1460 SlimSCSI
The following cards don't work:
Xircom ethernet and ethernet/modem cards,
Canon/Compaq PCMCIA floppy drive
Under construction:
Adaptec/Trantor APA-460 SlimSCSI (David Hinds <dhinds@allegro.stanford.e
du>), 
New Media .WAVjammer (Roger Pao <rpao@paonet.org>),
Nat'l Inst DAQ-700 (Tim Raymund <traymund@arlut.utexas.edu>),
PreMax SC100 SCSI (W.Kevin Pedigo <pedigo@cyberspace.com>),
IBM Token Ring (Steve Kipisz <kipisz@vnet.ibm.com>),
AT&T GIS / NCR WaveLAN (Anthony Joseph <adj@pdos.lcs.mit.edu>)

Authors:
--------
    David Hinds <dhinds@hyper.stanford.edu>

%prep
%setup -n pcmcia-cs-3.0.4 -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7
%patch -P 0 -p0 
%patch -P 1 -p1 
%build
KERNEL_LOCATION="/usr/src/linux"
export KERNEL_LOCATION
if test ! -e $KERNEL_LOCATION/.config ; then
    echo Your kernel has no .config.  its needed...
    echo running make oldconfig - should not make any trouble...
    OLD_PWD=`pwd`
    cd $KERNEL_LOCATION
    make oldconfig
    cd $OLD_PWD
fi
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.pcmcia
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.pcmcia and"
  echo "update by hand."
fi
%files
%dir /etc/pcmcia
%dir /etc/pcmcia/cis
%config /etc/pcmcia/cdrom
%config /etc/pcmcia/cdrom.opts
%config /etc/pcmcia/config
%config /etc/pcmcia/config.opts
%config /etc/pcmcia/ftl
%config /etc/pcmcia/ftl.opts
%config /etc/pcmcia/ide
%config /etc/pcmcia/ide.opts
%config /etc/pcmcia/iscc
%config /etc/pcmcia/iscc.opts
%config /etc/pcmcia/isdn
%config /etc/pcmcia/isdn.opts
%config /etc/pcmcia/memory
%config /etc/pcmcia/memory.opts
%config /etc/pcmcia/network
%config /etc/pcmcia/network.opts
%config /etc/pcmcia/scsi
%config /etc/pcmcia/scsi.opts
%config /etc/pcmcia/serial
%config /etc/pcmcia/serial.opts
%config /etc/pcmcia/shared
%config /etc/pcmcia/teles
%config /etc/pcmcia/teles.opts
%config /sbin/init.d/pcmcia
%doc /usr/man/man1/cardinfo.1.gz
%doc /usr/man/man4/aha152x_cs.4.gz
%doc /usr/man/man4/cs89x0_cs.4.gz
%doc /usr/man/man4/dummy_cs.4.gz
%doc /usr/man/man4/elsa_cs.4.gz
%doc /usr/man/man4/fmvj18x_cs.4.gz
%doc /usr/man/man4/ftl_cs.4.gz
%doc /usr/man/man4/i82365.4.gz
%doc /usr/man/man4/iscc_cs.4.gz
%doc /usr/man/man4/memory_cs.4.gz
%doc /usr/man/man4/mpsuni_cs.4.gz
%doc /usr/man/man4/netwave_cs.4.gz
%doc /usr/man/man4/pcmcia_core.4.gz
%doc /usr/man/man4/pcnet_cs.4.gz
%doc /usr/man/man4/sedl_cs.4.gz
%doc /usr/man/man4/serial_cs.4.gz
%doc /usr/man/man4/sym53c500_cs.4.gz
%doc /usr/man/man4/tc574_cs.4.gz
%doc /usr/man/man4/tc575_cb.4.gz
%doc /usr/man/man4/tc589_cs.4.gz
%doc /usr/man/man4/tcic.4.gz
%doc /usr/man/man4/teles_cs.4.gz
%doc /usr/man/man4/wavelan_cs.4.gz
%doc /usr/man/man4/xirc2ps_cs.4.gz
%doc /usr/man/man5/pcmcia.5.gz
%doc /usr/man/man5/stab.5.gz
%doc /usr/man/man8/cardctl.8.gz
%doc /usr/man/man8/cardmgr.8.gz
%doc /usr/man/man8/ftl_check.8.gz
%doc /usr/man/man8/ftl_format.8.gz
%doc /usr/man/man8/ide_info.8.gz
%doc /usr/man/man8/ifport.8.gz
%doc /usr/man/man8/ifuser.8.gz
%doc /usr/man/man8/pcinitrd.8.gz
%doc /usr/man/man8/scsi_info.8.gz
%doc CHANGES
%doc COPYING
%doc PCMCIA-HOWTO
%doc README
%doc README.contrib
%doc SUPPORTED.CARDS
/etc/pcmcia/cis/3CXEM556.dat
/etc/pcmcia/cis/PCMLM28.dat
/sbin/cardctl
/sbin/cardmgr
/sbin/ftl_check
/sbin/ftl_format
/sbin/ide_info
/sbin/ifport
/sbin/ifuser
/sbin/init.d/rc1.d/K42pcmcia
/sbin/init.d/rc1.d/S03pcmcia
/sbin/init.d/rc2.d/K42pcmcia
/sbin/init.d/rc2.d/S03pcmcia
/sbin/init.d/rc3.d/K42pcmcia
/sbin/init.d/rc3.d/S03pcmcia
/sbin/pcinitrd
/sbin/scsi_info
/usr/X11R6/bin/cardinfo
/var/adm/fillup-templates/rc.config.pcmcia

